EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000066easycwmp[All Projects] Enhancementpublic2015-07-03 12:332015-10-05 14:41
Reporterfeckert 
Assigned Tomohamed.kallel 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000066: pull request on github
DescriptionI have made some improvments in your custom script.
For example get the target values not from configuration tag in /etc/easycwmp, but rather from files in /etc/deviceinfo which are generated from the build environment in openwrt. So no one can change the device values.

What do you think?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000233)
mohamed.kallel (manager)
2015-07-04 21:51

I checked your pull request.

1) I will accept your common_set_list() function in the next release (nchallah)

2) for getting device infos from /etc/deviceinfo. I m not sure if all systems get a such infos from this files. even for OpenWRT, based on my experience each manufacturer(who use OpenWRT in their equipments) is using a customized way to get device infos. Any way the scripts published within EasyCwmp repo are published as examples in order to help peoples to develop their own data model
(0000235)
feckert (reporter)
2015-07-05 01:08

Hello Mohamed,

1) Thank you for integrating this Enhancement

2) In the openwrt build environment "make menuconfig" you can set the device information. They are written during the build process to 3 files:

- device_info
DEVICE_MANUFACTURER='OpenWrt'
DEVICE_PRODUCT='Generic'
DEVICE_REVISION='v0'
- openwrt_release
DISTRIB_ID='OpenWrt'
DISTRIB_RELEASE='Bleeding Edge'
DISTRIB_REVISION='r45250'
DISTRIB_CODENAME='chaos_calmer'
DISTRIB_TARGET='omap/generic'
DISTRIB_DESCRIPTION='OpenWrt Chaos Calmer r45250'
DISTRIB_TAINTS='no-all'
- openwrt_verions
r45250

This files specifies the device. I think this parameters which are unique for each device model or product class should not be editable. It should be read from the rom or any other non volatile memory and it should normaly not be configurable (some one can pretend the device).

I am using your scripts as it is. My suggesten is that it should be possible to use callback function. If they are not set (not defined) than the configurable values from /etc/easycwmp should be used and if this function are set during the build process of openwrt then this function could evaluate the device parameters from this files or from any other place. It is up to the developer to get the parameters. The Serial number for example should be unique for each device and should not be set into the firmware. For my device it is the mac address of the eth0.

What do you think?

Kind regards Flo
(0000299)
mohamed.kallel (manager)
2015-10-05 14:41

fixed in EasyCwmp-1.1.7

- Issue History
Date Modified Username Field Change
2015-07-03 12:33 feckert New Issue
2015-07-04 21:51 mohamed.kallel Note Added: 0000233
2015-07-05 01:08 feckert Note Added: 0000235
2015-10-05 14:41 mohamed.kallel Note Added: 0000299
2015-10-05 14:41 mohamed.kallel Status new => resolved
2015-10-05 14:41 mohamed.kallel Resolution open => fixed
2015-10-05 14:41 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker